import numpy as np
CIRCLEMAT = np.array([[0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0.25292969, 0.25292969,
                       0.25292969, 0.25292969, 0.25292969, 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.12841797,
                       0.43969727, 0.81323242, 1., 1., 1.,
                       1., 1., 1., 1., 0.81323242,
                       0.43969727, 0.12841797, 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0., 0.05371094, 0.56420898, 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 0.56420898, 0.05371094, 0.,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0.06616211, 0.80078125, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.80078125, 0.06616211,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0.30273438, 0.95019531, 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 0.95019531,
                       0.30273438, 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.25292969,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 0.25292969, 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0.06616211, 0.93774414,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 0.93774414, 0.06616211, 0., 0.,
                       0.],
                      [0., 0., 0., 0.62646484, 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 0.62646484, 0., 0.,
                       0.],
                      [0., 0., 0.12841797, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.12841797, 0.,
                       0.],
                      [0., 0., 0.56420898, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.56420898, 0.,
                       0.],
                      [0., 0., 0.87548828, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.87548828, 0.,
                       0.],
                      [0., 0.06616211, 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 0.06616211,
                       0.],
                      [0., 0.25292969, 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 0.25292969,
                       0.],
                      [0., 0.25292969, 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 0.25292969,
                       0.],
                      [0., 0.25292969, 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 0.25292969,
                       0.],
                      [0., 0.25292969, 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 0.25292969,
                       0.],
                      [0., 0.06616211, 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 0.06616211,
                       0.],
                      [0., 0., 0.81323242, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.81323242, 0.,
                       0.],
                      [0., 0., 0.50195312, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.50195312, 0.,
                       0.],
                      [0., 0., 0.12841797, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.12841797, 0.,
                       0.],
                      [0., 0., 0., 0.62646484, 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 0.62646484, 0., 0.,
                       0.],
                      [0., 0., 0., 0.06616211, 0.93774414,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 0.93774414, 0.06616211, 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.19067383,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 0.19067383, 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0.37744141, 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       0.37744141, 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0.203125, 0.840625, 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 0.840625, 0.203125,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0., 0.05371094, 0.50195312, 0.93774414,
                       1., 1., 1., 1., 1.,
                       1., 1., 1., 1., 1.,
                       1., 0.93774414, 0.50195312, 0.05371094, 0.,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.06616211,
                       0.43969727, 0.81323242, 1., 1., 1.,
                       1., 1., 1., 1., 0.81323242,
                       0.43969727, 0.06616211, 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0.25292969, 0.25292969,
                       0.25292969, 0.25292969, 0.25292969, 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0.],
                      [0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0., 0., 0., 0., 0.,
                       0.]])